<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

//======================================================================
// Order forum posts
//======================================================================

//===========================================
//Database: Connect
//===========================================
require_once("../inc/inc_config.php");
require_once("../inc/inc_database.php");

$dblink = new database();
$dblink->connect();

//===========================================
//Timezone setting
//===========================================
$timezonerow = $dblink->get_row("SELECT timezone FROM memht_config");
$siteConfig['timezone'] = intval($timezonerow['timezone']);
$tzNOW = "DATE_ADD(NOW(),INTERVAL ".$siteConfig['timezone']." HOUR)";
	
require_once("../inc/inc_functions.php");
require_once("../inc/inc_login.php");

global $userid;

if (isAuth($userid,3)) {
	$result = $dblink->get_list("SELECT id FROM memht_forum_posts WHERE parent=0 ORDER BY id DESC");
	foreach ($result as $row) {
		$thread = intval($row['id']);
		if ($srow = $dblink->get_row("SELECT id FROM memht_forum_posts WHERE parent=$thread ORDER BY id DESC LIMIT 1")) {
			$child = intval($srow['id']);
		} else {
			$child = $thread;	
		}

		$dblink->query("UPDATE memht_forum_posts SET lastchild='$child' WHERE id=$thread");
	}
	echo "<div><b>Forum post ordering -> OK</b></div>";
} else {
	die("<b>Access Denied!</b><br>You must be logged as administrator to execute this file");
}

//===========================================
//Database: Disconnect
//===========================================
$dblink->disconnect();

?>